Bug 1952851 - Marketplace extract container does not request CPU or memory
Summary: Marketplace extract container does not request CPU or memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Kevin Rizza
QA Contact: Salvatore Colangelo
URL:
Whiteboard:
Depends On: 1938492
Blocks: 1954880
TreeView+ depends on / blocked
 
Reported: 2021-04-23 11:27 UTC by Kevin Rizza
Modified: 2021-05-19 15:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1938492
Environment:
Last Closed: 2021-05-19 15:16:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2109 0 None closed [release-4.7] Bug 1952851: Add resource requests for bundle unpacker 2021-05-11 17:28:57 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:16:49 UTC

Comment 3 Salvatore Colangelo 2021-04-29 11:05:23 UTC
[scolange@scolange openshift-tests-private]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-04-29-024100   True        False         121m    Cluster version is 4.7.0-0.nightly-2021-04-29-024100

1. Install an operator in a general namespaces

[scolange@scolange go]$ oc -n scolange get sub
NAME                             PACKAGE                          SOURCE                CHANNEL
couchbase-enterprise-certified   couchbase-enterprise-certified   certified-operators   stable

[scolange@scolange go]$ oc -n scolange get csv
NAME                        DISPLAY              VERSION   REPLACES                    PHASE
couchbase-operator.v2.1.0   Couchbase Operator   2.1.0     couchbase-operator.v2.0.2   Succeeded

[scolange@scolange go]$ oc -n scolange get ip
NAME            CSV                         APPROVAL    APPROVED
install-4garsg   couchbase-operator.v2.1.0   Automatic   true


2. Verify the jobs from origin namespace in this case ( openshift-marketplace ) 


[scolange@scolange openshift-tests-private]$ oc -n openshift-marketplace get jobs 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09 -o yaml
apiVersion: batch/v1
kind: Job
metadata:
  creationTimestamp: "2021-04-29T10:11:57Z"
  labels:
    controller-uid: cdc6fd07-e4c0-424f-af40-78628bace372
    job-name: 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
  managedFields:
  - apiVersion: batch/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:ownerReferences:
          .: {}
          k:{"uid":"9d12e5be-6e47-43ba-aae4-c55926d4a9ee"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:backoffLimit: {}
        f:completions: {}
        f:parallelism: {}
        f:template:
          f:metadata:
            f:name: {}
          f:spec:
            f:containers:
              k:{"name":"extract"}:
                .: {}
                f:command: {}
                f:env:
                  .: {}
                  k:{"name":"CONTAINER_IMAGE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/bundle"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
            f:dnsPolicy: {}
            f:initContainers:
              .: {}
              k:{"name":"pull"}:
                .: {}
                f:command: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/bundle"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/util"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
              k:{"name":"util"}:
                .: {}
                f:command: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/util"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:terminationGracePeriodSeconds: {}
            f:volumes:
              .: {}
              k:{"name":"bundle"}:
                .: {}
                f:emptyDir: {}
                f:name: {}
              k:{"name":"util"}:
                .: {}
                f:emptyDir: {}
                f:name: {}
    manager: catalog
    operation: Update
    time: "2021-04-29T10:11:57Z"
  - apiVersion: batch/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:completionTime: {}
        f:conditions:
          .: {}
          k:{"type":"Complete"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:startTime: {}
        f:succeeded: {}
    manager: kube-controller-manager
    operation: Update
    time: "2021-04-29T10:12:24Z"
  name: 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
  namespace: openshift-marketplace
  ownerReferences:
  - apiVersion: v1
    blockOwnerDeletion: false
    controller: false
    kind: ConfigMap
    name: 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
    uid: 9d12e5be-6e47-43ba-aae4-c55926d4a9ee
  resourceVersion: "58761"
  selfLink: /apis/batch/v1/namespaces/openshift-marketplace/jobs/5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
  uid: cdc6fd07-e4c0-424f-af40-78628bace372
spec:
  backoffLimit: 6
  completions: 1
  parallelism: 1
  selector:
    matchLabels:
      controller-uid: cdc6fd07-e4c0-424f-af40-78628bace372
  template:
    metadata:
      creationTimestamp: null
      labels:
        controller-uid: cdc6fd07-e4c0-424f-af40-78628bace372
        job-name: 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
      name: 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
    spec:
      containers:
      - command:
        - opm
        - alpha
        - bundle
        - extract
        - -m
        - /bundle/
        - -n
        - openshift-marketplace
        - -c
        - 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
        env:
        - name: CONTAINER_IMAGE
          value: registry.connect.redhat.com/couchbase/operator-bundle@sha256:78656ed0df41696e67429609e3262ec31f5ca9f5ca946300e6a4a6503c1bbd18
        image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5b9de09bf46c1016906cc8cd68f6da03460161c9dd31b9f8b73c1ba8a5c13eed
        imagePullPolicy: IfNotPresent
        name: extract
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /bundle
          name: bundle
      dnsPolicy: ClusterFirst
      initContainers:
      - command:
        - /bin/cp
        - -Rv
        - /bin/cpb
        - /util/cpb
        image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:198341711aa658ffb9e33a2172273be769b6378d001e52b6e3923ce32252312b
        imagePullPolicy: IfNotPresent
        name: util
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /util
          name: util
      - command:
        - /util/cpb
        - /bundle
        image: registry.connect.redhat.com/couchbase/operator-bundle@sha256:78656ed0df41696e67429609e3262ec31f5ca9f5ca946300e6a4a6503c1bbd18
        imagePullPolicy: Always
        name: pull
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /bundle
          name: bundle
        - mountPath: /util
          name: util
      restartPolicy: OnFailure
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
      volumes:
      - emptyDir: {}
        name: bundle
      - emptyDir: {}
        name: util
status:
  completionTime: "2021-04-29T10:12:24Z"
  conditions:
  - lastProbeTime: "2021-04-29T10:12:24Z"
    lastTransitionTime: "2021-04-29T10:12:24Z"
    status: "True"
    type: Complete
  startTime: "2021-04-29T10:11:57Z"
  succeeded: 1


Info regarding :

        resources:
          requests:
            cpu: 10m
            memory: 50Mi

not present

Comment 4 Kevin Rizza 2021-05-11 14:52:54 UTC
Can you try again in a 4.7 cluster? Is it possible that this was run before the commit landed as part of the build? I just stood up a 4.7 cluster and definitely saw that the pod spec included the resource requests:

    image: registry.connect.redhat.com/jetstack/cert-manager-operator-bundle@sha256:a7cb0f2a1b263c432727d1ffe7ec8d0be470fcca26e1b568eb9d0dc64e96373e
    imagePullPolicy: Always
    name: pull
    resources:
      requests:
        cpu: 10m
        memory: 50Mi

Comment 6 W. Trevor King 2021-05-11 17:33:24 UTC
Checking a recent nightly's [1] CI job [2]:

$ curl -s https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.7-e2e-aws/1389895746400030720/artifacts/e2e-aws/gather-extra/artifacts/pods.json | jq -r '.items[] | select(.metadata.namespace == "openshift-marketplace").spec.containers[] | select(.name == "extract").resources'
{
  "requests": {
    "cpu": "10m",
    "memory": "50Mi"
  }
}

So that looks good to me.

[1]: https://amd64.ocp.releases.ci.openshift.org/releasestream/4.7.0-0.nightly/release/4.7.0-0.nightly-2021-05-05-092347
[2]: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.7-e2e-aws/1389895746400030720

Comment 8 Salvatore Colangelo 2021-05-13 12:33:30 UTC
[scolange@scolange ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-05-12-004740   True        False         8h      Cluster version is 4.7.0-0.nightly-2021-05-12-004740

1. Install an operator in a general namespaces

[scolange@scolange ~]$ oc -n openshift-operators get sub
NAME                             PACKAGE                          SOURCE                CHANNEL
couchbase-enterprise-certified   couchbase-enterprise-certified   certified-operators   stable

[scolange@scolange ~]$ oc -n openshift-operators get csv
NAME                             DISPLAY                            VERSION   REPLACES                    PHASE
couchbase-operator.v2.1.0        Couchbase Operator                 2.1.0     couchbase-operator.v2.0.2   Succeeded
elasticsearch-operator.5.0.4-9   OpenShift Elasticsearch Operator   5.0.4-9                               Succeeded


[scolange@scolange ~]$ oc -n openshift-operators get ip
NAME            CSV                         APPROVAL    APPROVED
install-zjfx9   couchbase-operator.v2.1.0   Automatic   true


2. Verify the jobs from origin namespace in this case ( openshift-marketplace ) 

[scolange@scolange ~]$ oc -n openshift-marketplace get jobs
NAME                                                              COMPLETIONS   DURATION   AGE
1f71898d96a4756ed395c3b4cf532fd1fda9cdcfde32fe57eb6c73403b5d94a   1/1           62s        8h
58af419fc0a4e011e2f58ecd210d580cc53dc0cf38cac40f2dafcf09a2dd1ab   1/1           12s        94m
5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09   1/1           11s        81m
c2a111c4993d0edd8d96e702f4e99548c343ab56acc2bda3b5d467e2aba9a01   1/1           72s        8h
d27259f2e04c71151553b7a119210c18a60a14b4e7784aabb18e768f55f3ab0   1/1           33s        8h
[scolange@scolange ~]$ oc -n openshift-marketplace get jobs 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09 -o yaml
apiVersion: batch/v1
kind: Job
metadata:
  creationTimestamp: "2021-05-13T11:04:26Z"
  labels:
    controller-uid: 56da81ed-0ddb-451c-8170-123a9e44845a
    job-name: 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
  managedFields:
  - apiVersion: batch/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:ownerReferences:
          .: {}
          k:{"uid":"0553fc5d-1f34-4a90-b312-bf70aae3d731"}:
            .: {}
        ...
        ... 
        - -n
        - openshift-marketplace
        - -c
        - 5c410a08445875ef0dd1a81b992b068f3a86bd2f5a79c433ad9e0bc4d62ef09
       
        - command:
        - /util/cpb
        - /bundle
        image: registry.connect.redhat.com/couchbase/operator-bundle@sha256:78656ed0df41696e67429609e3262ec31f5ca9f5ca946300e6a4a6503c1bbd18
        imagePullPolicy: Always
        name: pull
        resources:
          requests:
            cpu: 10m
            memory: 50Mi
        ...
....
status:
  completionTime: "2021-05-13T11:04:37Z"
  conditions:
  - lastProbeTime: "2021-05-13T11:04:37Z"
    lastTransitionTime: "2021-05-13T11:04:37Z"
    status: "True"
    type: Complete
  startTime: "2021-05-13T11:04:26Z"
  succeeded: 1

Info regarding :

        resources:
          requests:
            cpu: 10m
            memory: 50Mi

Now are present!!

LGMT!!

Comment 10 errata-xmlrpc 2021-05-19 15:16:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.